Skip to Content

SMD agent 7.10.11.0.2014

Hi ,

I am seeing the SMD agent version 7.10.11.0.2014 exist on a linux system.

this version comes under which one of the following diagnostic agent on service market place download...Connected solution manager is 7.1 SP14

  • SAP SOLUTION MANAGER/
  • SAP SOLUTION MANAGER 7.1/
  • ENTRY BY COMPONENT/

AGENTS FOR MANAGED SYSTEMS

Diagnostic agent 7.3

Diagnostic agent 7.42.1

Diagnostic agent 7.42.2

Diagnostic agent 7.45

Diagnostic agent 7.45.1

Diagnostic agent 7.45.2

Diagnostic agent 7.45.3

If I want to upgrade the version..what should be done...upgrading LM-SERVICE comp on solution manager is enough?

Please clarify with your answers...I appreciate your help and inputs

Thanks in advance

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Oct 28, 2016 at 05:17 AM

    Hi Daniel

    Unless there is a need to have a newer kernel running under the agent (the agent cannot be updated because it's too old or it's not functioning properly), you don't have to update it. This is described here:

    https://wiki.scn.sap.com/wiki/display/SMSETUP/Diagnostics+Agent+Maintenance+Procedures

    LM-SERVICE will ensure the business logic of that agent is on the same level as your SAP Solution Manager system. It's always a recommendation of SAP to keep LM-SERVICE up to date so you should look for a java patch for the correct SP level of LM-SERVICE to have the latest version applied.

    When the agent is connected to SolMan, it will automatically receive the business logic update which updates that version you spot on Linux:

    7.10.11.0.2014 (seems to point to 7.1 SP11)

    So to me it looks like either this agent is not connected to your SAP Solution Manager system or is not getting updated automatically because it should be 7.10.14... in your case since you're running 7.1 SP14 system as you stated.

    You can check out the diagnostic agent versions through SOLMAN_WORKCENTER - Solution Manager Administration workcenter - Infrastructure - Framework - Agent Framework - Agent Admin - All agents

    The above screenshot is from SolMan 7.1 SP13 hence the 7.10.13... version stated there

    Best regards

    Tom

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Jan 20, 2017 at 04:27 AM

    Hi Daniel,

    The best practice is to have your ST component and LM-Service component in line, ie,. if your ST component is of version 7.1 SP14, then keep you LM-Service component version as 7.1 SP14. you can patch wo the latest version, but the version and SP should match . This ensures the proper functionality of a solman system .

    Regards,

    KSV

    Add comment
    10|10000 characters needed characters exceeded